aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authortoni <matzeton@googlemail.com>2014-11-24 22:47:56 +0100
committertoni <matzeton@googlemail.com>2014-11-24 22:47:56 +0100
commit99fd112d43bc37104a45df62e37ee33590f701ec (patch)
treecdfe76d3b38a95ffd5a38d0aeee0edd247bf0b01
parent587f4b1ae4aaccd5519083833e5f65b106904f51 (diff)
- xmobar/xmonad update
- fixed iceweasel-sandbox bug - removed (pre-)compiled selinux pol's
-rw-r--r--configs/xmobarrc4
-rw-r--r--configs/xmonad.hs27
-rwxr-xr-xiceweasel-sandbox.sh29
-rw-r--r--selinux_pols/hald.modbin1487 -> 0 bytes
-rw-r--r--selinux_pols/hald.ppbin1503 -> 0 bytes
5 files changed, 45 insertions, 15 deletions
diff --git a/configs/xmobarrc b/configs/xmobarrc
index 78d4a42..59759db 100644
--- a/configs/xmobarrc
+++ b/configs/xmobarrc
@@ -12,10 +12,10 @@ Config { font = "-misc-fixed-*-*-*-*-18-*-*-*-*-*-*-*"
, Run Com "~/.xmobar_cputemp.sh" ["MB"] "mtmp" 100
, Run Network "eth0" ["-L","0","-H","32","--normal","green","--high","red"] 10
, Run Network "eth1" ["-L","0","-H","32","--normal","green","--high","red"] 10
- , Run Cpu ["-L","15","-H","50","--normal","green","--high","red"] 10
+ , Run Cpu ["-L","15","-H","50","--normal","green","--high","red"] 20
, Run Memory ["Mem: %"] 200
, Run Swap [] 200
- , Run Date "%a %b (%V) %_d %Y %H:%M:%S" "date" 10
+ , Run Date "%a %b %_d %Y %H:%M (KW%V)" "date" 600
, Run StdinReader
]
, sepChar = "%"
diff --git a/configs/xmonad.hs b/configs/xmonad.hs
index e698351..acec436 100644
--- a/configs/xmonad.hs
+++ b/configs/xmonad.hs
@@ -25,7 +25,7 @@ import qualified Data.Map as M
-- The preferred terminal program, which is used in a binding below and by
-- certain contrib modules.
--
-myTerminal = "/usr/bin/konsole"
+myTerminal = "x-terminal-emulator"
------------------------------------------------------------------------
@@ -33,7 +33,7 @@ myTerminal = "/usr/bin/konsole"
-- The default number of workspaces (virtual screens) and their names.
--
myWorkspaces :: [WorkspaceId]
-myWorkspaces = ["1:term","2:code","3:web","4:vm","5:media"] ++ map show [6..9]
+myWorkspaces = ["1:pidg","2:file","3:web","4:work1","5:work2"] ++ map show [6..9]
------------------------------------------------------------------------
-- Window rules
@@ -52,15 +52,17 @@ myWorkspaces = ["1:term","2:code","3:web","4:vm","5:media"] ++ map show [6..9]
myManageHook = composeAll
[ className =? "Iceweasel" --> doShift "3:web"
, className =? "Icedove" --> doShift "3:web"
- , className =? "Pidgin" --> doShift "1:term"
- , className =? "Eclipse" --> doShift "2:code"
+ , className =? "Pidgin" --> doShift "1:pidg"
+ , className =? "Eclipse" --> doShift "2:file"
, className =? "Kmail" --> doShift "3:web"
- , className =? "Konqueror" --> doShift "2:code"
+ , className =? "Konqueror" --> doShift "2:file"
+ , className =? "Nautilus" --> doShift "2:file"
, resource =? "desktop_window" --> doIgnore
, className =? "Galculator" --> doFloat
+ , className =? "Gource" --> doFloat
, className =? "MPlayer" --> doFloat
- , className =? "VirtualBox" --> doShift "4:vm"
- , className =? "Xchat" --> doShift "5:media"
+ , className =? "VirtualBox" --> doShift "4:work1"
+ , className =? "Xchat" --> doShift "5:work2"
, isFullscreen --> (doF W.focusDown <+> doFullFloat)]
@@ -131,6 +133,14 @@ myKeys conf@(XConfig {XMonad.modMask = modMask}) = M.fromList $
, ((modMask .|. shiftMask, xK_l),
spawn "xscreensaver-command -lock")
+ -- Start Firefox
+ , ((modMask .|. shiftMask, xK_i),
+ spawn "iceweasel")
+
+ -- run demnu
+ , ((modMask .|. shiftMask, xK_d),
+ spawn "dmenu_run -b")
+
-- Take full screenshot in multi-head mode.
-- That is, take a screenshot of everything you see.
, ((modMask .|. shiftMask, xK_p),
@@ -296,8 +306,7 @@ myMouseBindings (XConfig {XMonad.modMask = modMask}) = M.fromList $
--myStartupHook = return ()
myStartupHook :: X ()
myStartupHook = do
--- safeSpawnProg "iceweasel"
- safeSpawnProg "konqueror"
+ safeSpawnProg "iceweasel"
safeSpawnProg "pidgin"
setWMName "LG3D"
diff --git a/iceweasel-sandbox.sh b/iceweasel-sandbox.sh
index 37cad6c..aab60a6 100755
--- a/iceweasel-sandbox.sh
+++ b/iceweasel-sandbox.sh
@@ -14,6 +14,8 @@ else
CHROOTDIR="$HOME/iceweasel.sandbox"
fi
+export CHROOTKILL="for pid in $(lsof -t ${CHROOTDIR} 2>/dev/null | tr '\n' ' '); do echo -n "."; kill -SIGTERM "\$pid"; done; echo"
+
if [ ! -z "$2" ]; then
DBS_OPTS="--arch ${DEF_ARCH} ${2} ${DEF_SUITE}"
else
@@ -36,7 +38,22 @@ fi
echo "* CHROOT: $CHROOTDIR"
xhost +
if [ ! -f ${CHROOTDIR}/.stamp_installed ]; then
- su -- -c "/usr/sbin/debootstrap --unpack-tarball ${HOME}/iceweasel.sandbox.tar ${DBS_OPTS} ${CHROOTDIR} && touch ${CHROOTDIR}/.stamp_installed"
+ echo "* DEBOOTSTRAP"
+ su -- -c "/usr/sbin/debootstrap --unpack-tarball ${HOME}/iceweasel.sandbox.tar ${DBS_OPTS} ${CHROOTDIR}; touch ${CHROOTDIR}/.stamp_installed"
+else
+ echo "* INSTALLED"
+fi
+
+if [ $(lsof -t ${CHROOTDIR} 2>/dev/null | wc -l) -ne 0 ]; then
+ echo "* Running instance found"
+ read -p "kill instance? (Y/n) " -t 3 answ
+ if [ "x$answ" = "xY" ]; then
+ echo -n "* SIGTERM all processes"
+ su -- -c "$CHROOTKILL"
+ else
+ echo "* abort"
+ exit 1
+ fi
fi
read -p "mount proc? (Y/n) " -t 3 answ
@@ -44,7 +61,8 @@ if [ "x$answ" = "xY" ]; then
add_precmd "mount -t proc proc ${CHROOTDIR}/proc"
add_postcmd "umount ${CHROOTDIR}/proc"
fi
-su -- -c "${PRECMD}; chroot ${CHROOTDIR} /bin/bash -c 'apt-get update; apt-get upgrade; apt-get install -y iceweasel; useradd -m firefox; su -l firefox -c iceweasel'; ${POSTCMD}"
+echo "* CHROOT"
+su -- -c "${PRECMD}; chroot ${CHROOTDIR} /bin/bash -c 'apt-get update; apt-get upgrade; apt-get install -y iceweasel; useradd -m firefox; su -l firefox -c iceweasel'; ${CHROOTKILL}; ${POSTCMD}"
read -p "delete ${CHROOTDIR} ? (Y/n) " -t 5 answ
if [ "x$answ" = "xY" ]; then
@@ -54,10 +72,13 @@ if [ "x$answ" = "xY" ]; then
DOWIPE=y
fi
fi
+ add_postcmd "umount ${CHROOTDIR}/proc"
if [ "x$DOWIPE" = "xy" ]; then
- su -- -c "wipe -qrcf ${CHROOTDIR}/{home,tmp} && rm -rf ${CHROOTDIR}"
+ echo "* WIPE"
+ su -- -c "${CHROOTKILL}; ${POSTCMD}; wipe -qrcf ${CHROOTDIR}/{home,tmp}; rm -rf ${CHROOTDIR}"
else
- su -- -c "rm -rf ${CHROOTDIR}"
+ echo "* RM"
+ su -- -c "${CHROOTKILL}; ${POSTCMD}; rm -rf ${CHROOTDIR}"
fi
fi
diff --git a/selinux_pols/hald.mod b/selinux_pols/hald.mod
deleted file mode 100644
index d8fea69..0000000
--- a/selinux_pols/hald.mod
+++ /dev/null
Binary files differ
diff --git a/selinux_pols/hald.pp b/selinux_pols/hald.pp
deleted file mode 100644
index efb718d..0000000
--- a/selinux_pols/hald.pp
+++ /dev/null
Binary files differ